Subject: Re: [eman] WG Last Call for draft-ietf-eman-energy-monitoring-mib-08 and draft-ietf-eman-energy-aware-mib-13

From: <[email-masked]>
Date: Mon, 3 Mar 2014 07:37:26 +0000

Hi Brad,

Thanks for working out my comments!

Regarding your questions, please see in line!

> Van: Brad Schoening [[email-masked]]
> Verzonden: woensdag 19 februari 2014 4:56
> To: Karagiannis, G. (EWI); [email-masked]
> Onderwerp: Re: [eman] WG Last Call for draft-ietf-eman-energy-monitoring-mib-08 and draft-ietf-eman->
> energy-aware-mib-13
> Hi Georgios,
> I have made changes to the latest published draft (v9) that should address you comments 3-7 and 11.  For a few of
>  the remaining comment, please see detailed responses below:

Georgios: Thanks!

> Comment_1 & 2 – I wasn't sure what you found unclear here

Georgios: I thought that this relation can be made more clear if you would have had a small introductory text!

> Comment_8 – the text immediately above the diagram explains the horizontal axis and then the vertical axis.
> Comment_9 -  the text immediately above the diagram already does elaborates on how the overlapping windows

Georgios: Yes, the text describes this, but it is not clear to me whether this is what you would like to show in these graphs. Would it not be more clear to emphasize that the vertical axis represents the amount of measured power at the end of the sampling period?

> Comment_12 – this is a good point, but we felt it would be better to provide examples in the use cases section of
> the applicability statement.  As you observe, use cases could representing both the EnergyMonitoringMIB AND the
> EnergyAwareMIB and this would be best placed in a separate document.

Georgios: Okay!

>  Comment_13 – compliance with SMIv2 can be assumed since the MIB imports from SNMPv2-SMI, correct?
Georgios: Yes, but I have missed this statement "the MIB imports from SNMPv2-SMI" from the draft!

> Best Regards,

> Brad

Best regards,
Georgios

From: <[email-masked]<mailto:[email-masked]>>
Date: Tue, 31 Dec 2013 10:17:05 +0000
To: <[email-masked]<mailto:[email-masked]>>
Subject: Re: [eman] WG Last Call for draft-ietf-eman-energy-monitoring-mib-08 and draft-ietf-eman-energy-aware-mib-13

Hi all,

Sorry for the delay on providing comments on time for the WGLC of draft-ietf-eman-energy-monitoring-mib-08 and draft-ietf-eman-energy-aware-mib-13.

Here are my comments!

Many of the comments that I wanted to send are similar to the ones sent by Juergen Quittek. Therefore, I will send only the ones that are different!

=> Regarding: draft-ietf-eman-energy-aware-mib-13:

Comment_1: Section 5, page 6 shows the entries/attributes  (MIB objects) of the eaTable and eoRelationTable. In Figure 1 the UML diagram illustrates the relationship of the MIB objects in the eatable and eoRelationTable. However not all entries (MIB objects) depicted in eaTable and eoRelationTable (page 6) are shown in the UML diagrams. Please elaborate on this in the text.

Comment_2: In section 5.2, page 20 is mentioned: “The Energy Object can be classified as consuming power or supplying power to other devices or that Energy Object can perform both of those functions, ..”. However, in the formal MIB definition on page 20, eoPowerCategory can get the values: consumer (0), producer(1), meter(2), distributor(3) or store(4). From what I can see no value is provided for the situation that the energy object can perform both functions consumer and producer.

==============================

=> Regarding draft-ietf-eman-energy-monitoring-mib-08:

Comment_1:Section 5: It is not clear what is the relation between the ENERGY-OBJECT-MIB MIB module tables, the associated UML diagram given in Figure 1 and the text other subsections (5.1, 5.2, 5.3, 5.4, 5.5 and 5.6.).. Please make this relation clear.

Comment_2: The same holds for the powerAttributeMIB MIB module tables, UML diagram given in Figure 2 and subsections (5.1, 5.2, 5.3, 5.4, 5.5 and 5.6.).

Comment_3: The description of the powerAttributeMIB MIB module tables on page 8 is too short. A similar description as the one described for the ENERGY-OBJECT-MIB MIB module tables in page 6 could be also provided,

Comment_4: Some parts of the UML diagram given in Figure 2 as representing the relations in the powerAttributeMIB are (probabl)  part of the ENERGY-OBJECT-MIB. These are the Energy ParametersTable and EnergyTable.

Comment_5: not all entries (MIB objects) depicted in the ENERGY-OBJECT-MIB MIB module tables are shown in the UML diagram depicted in Fgure 1.Please elaborate.

Comment_6: the same holds for powerAttributeMIB MIB module tables  and the UML diagram depicted in Figure 2.

Comment_7: Maybe the title of Section 5.1 should be: Enetgy Object Identity, instead of Energy Object Information?

Comment_8: The description of the vertical axis used in Figure 3 is not clear to me. Are both horizontal axis and vertical axis representing time. Regarding the vertical axis you might want to say that the vertical axis represents the amount of measured power ?

Comment_9: The description of Figure 4 is not clear to me. You might include at the right sde of the figure and for each window the term S+L, so (S1+L, S2+L, S3+L and S4+L). You can then explain that the value of the EoEnergyConsumed is obtained at these time intervals (Sx+L)..

Comment_10: Section 6 is very important and its importance should be emphasized more clearly in the Introduction.

Comment_11: In Section 6 the term EMAN-MON-MIB is used for the first time. I considered that it referes to this document. Please emphasize that in the text.

Comment_12: Section 8 provides an example for the implementation of the Energy Object, including the Energy Object relationships. Is it possible to provide an example of the IANAEnergyRelationship (in particular regaring aggregation) defined in [ENERGY-AWARE-MIB].

Comment_13: Are the MIB objects defined in this draft complying with the mechanisms defined by SMIv2 [RFC2578, RFC2579, RFC2580? If yes, please emphasize this in the document!

Best regards,
Georgios Karagiannis

________________________________
Van: eman [[email-masked]<mailto:[email-masked]>] namens Thomas Nadeau [[email-masked]<mailto:[email-masked]>]
Verzonden: maandag 30 december 2013 20:52
To: Juergen Quittek
Cc: eman mailing list
Onderwerp: Re: [eman] WG Last Call for draft-ietf-eman-energy-monitoring-mib-08 and draft-ietf-eman-energy-aware-mib-13

        The note said 8AM EDT. *)

        Anyways, send over your comments ASAP.

        --Tom

On Dec 30, 2013:1:46 PM, at 1:46 PM, Juergen Quittek <[email-masked]<mailto:[email-masked]>> wrote:

> Hi Tom,
> I missed the fact that the deadline is already in the morning of today. I thought I had the full day today for sending them. There are still some comments that I planned to send this evening. I will send them asap and hope they will be OK even if a few hours late.
> Thanks,
>    Juergen
>
>> -----Original Message-----
>> From: eman [mailto:[email-masked]] On Behalf Of Thomas Nadeau
>> Sent: Montag, 30. Dezember 2013 14:44
>> To: eman mailing list
>> Subject: Re: [eman] WG Last Call for draft-ietf-eman-energy-monitoring-mib-
>> 08 and draft-ietf-eman-energy-aware-mib-13
>>
>>
>>       WG,
>>
>>       This concludes the WG LC on the MIBs. We have received just one set
>> of comments from the WG and one set of comments regarding the OID
>> numbering. Would the document editors please address these and republish
>> the drafts ASAP so that we can proceed with progressing the drafts?
>>
>>       Cheers and Happy Holidays,
>>
>>       Tom
>>
>>
>>>
>>>      As agreed at the last WG meeting, with the EMAN Framework
>> completing its WG LC the chairs would like to initiate a WG LC on draft-ietf-
>> eman-energy-monitoring-mib-08 and draft-ietf-eman-energy-aware-mib-13.
>> The WG LC will end on Dec 30 at 8AM EDT.
>>>
>>>      Thank you,
>>>
>>>      Nevil and Tom
>>>
>>>
>>> _______________________________________________
>>> eman mailing list
>>> [email-masked]<mailto:[email-masked]>
>>> https://www.ietf.org/mailman/listinfo/eman
>
>

_______________________________________________ eman mailing list [email-masked]<mailto:[email-masked]> https://www.ietf.org/mailman/listinfo/eman